org.apache.felix.ipojo.manipulator.metadata.annotation.registry

## Class DefaultBindingRegistry

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.metadata.annotation.registry.DefaultBindingRegistry

All Implemented Interfaces:
  BindingRegistry

    public class DefaultBindingRegistry
    extends Object
    implements BindingRegistry

Stores all the `Binding`s coming from the `Module`.

Author:
  Felix Project Team

### Field Summary

Fields
`protected Reporter` `reporter`

### Constructor Summary

Constructors
Constructor and Description
`DefaultBindingRegistry(Reporter reporter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addBindings(Iterable<Binding> bindings)` Stores the given Bindings
`List<Binding>` `getBindings(String descriptor)` Find the list of `Binding` registered with the given annotation type.
`Selection` `selection(ComponentWorkbench workbench)` Initiate a `Selection` for the given workbench.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### reporter

    protected final Reporter reporter

### Constructor Detail

#### DefaultBindingRegistry

    public DefaultBindingRegistry(Reporter reporter)

### Method Detail

#### addBindings

    public void addBindings(Iterable<Binding> bindings)

Stores the given Bindings

Specified by:
  `addBindings` in interface `BindingRegistry`

#### selection

    public Selection selection(ComponentWorkbench workbench)

Initiate a `Selection` for the given workbench.

Specified by:
  `selection` in interface `BindingRegistry`

#### getBindings

    public List<Binding> getBindings(String descriptor)

Description copied from interface: `BindingRegistry`
Find the list of `Binding` registered with the given annotation type. This method returns an empty List if no bindings are registered.

Specified by:
  `getBindings` in interface `BindingRegistry`
Parameters:
  `descriptor` - denotes the annotation's type
Returns:
  the list of `Binding` registered with the given descriptor, the list may be empty if no bindings are found.